Debian Security Advisory

DSA-092-1 wmtv -- local root exploit

Date Reported:
06 Dec 2001
Affected Packages:
Security database references:
In the Bugtraq database (at SecurityFocus): BugTraq ID 3658.
In Mitre's CVE dictionary: CVE-2001-1272.
More information:
Nicolas Boullis found a nasty security problem in the wmtv (a dockable video4linux TV player for windowmaker) package as distributed in Debian GNU/Linux 2.2.

wmtv can optionally run a command if you double-click on the TV window. This command can be specified using the -e command line option. However, since wmtv is installed suid root, this command was also run as root, which gives local users a very simple way to get root access.

This has been fixed in version 0.6.5-2potato1 by dropping root privileges before executing the command. We recommend that you upgrade your wmtv package immediately.

Fixed in:

Debian GNU/Linux 2.2 (potato)

Intel IA-32:
Motorola 680x0:
Sun Sparc:

MD5 checksums of the listed files are available in the original advisory.